# quoteCharge

**Scope required:** standard:read

For a complete list of possible response fields see the [QuoteCharge](/developer/api-reference/types/quotecharge.md) type.

```graphql
query quoteCharge ($id: ID, $code: String, $format: String) {
  quoteCharge (id: $id, code: $code, format: $format) {
    amount
    couponId
    createdAt
    currencyId
    currentPrice
    currentQuantity
    discount
    endDate
    evergreen
    id
    invoiceLineText
    isRamp
    isTrial
    name
    price
    priceDecimals
    priceListChargeId
    prorationRate
    quantity
    quantityMax
    quantityMin
    quoteChangeId
    startDate
    subtotal
    taxAmount
    taxCode
    tieredAveragePrice
    updatedAt
    vatCode
  }
}
```

## Arguments

| Name   | Type   | Description |
| ------ | ------ | ----------- |
| id     | ID     |             |
| code   | String |             |
| format | String |             |

## Response

* [QuoteCharge](/developer/api-reference/types/quotecharge.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/using-the-graphql-api/sending-a-graphql-request/quotecharge.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
